質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.46%
Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

1回答

10225閲覧

python tensorflowが正常にインストール出来ず、動作しない

kait0520

総合スコア1

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

0グッド

0クリップ

投稿2020/10/07 02:03

編集2020/10/08 07:55

前提・実現したいこと

tensorflowが正常にインストールされず、
kerasの1行目にエラーが発生し、
機械学習を実施することが出来ない状態になっている。

発生している問題・エラーメッセージ

Traceback (most recent call last): File "C:\Users\UserName\Desktop\python\stock_ai.py", line 1, in <module> from keras import layers File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\keras\__init__.py", line 5, in <module> raise ImportError( ImportError: Keras requires TensorFlow 2.2 or higher. Install TensorFlow via `pip install tensorflow`

該当のソースコード

python

1from keras import layers 2from keras import models 3from keras import optimizers 4from keras.callbacks import ModelCheckpoint 5from keras.preprocessing.image import ImageDataGenerator 6import matplotlib.pyplot as plt 7import os 8import math

試したこと

再インストール(tensorflowとPython共に)
tensorflowのバージョンダウン
tensorflowのCPU版のインストール
tensorflow単体でのimport  エラー。
tensorflosw.keras エラー

追記 補足情報のpython並びにPyScripterの排除後
Anacondaを導入 condaコマンドにて tensorflowの導入 anacondaではtensorflowがpython3.8に対応しておらず、2.1までしかインストールすることが出来ない。

補足情報(FW/ツールのバージョンなど)

python ver3.8.6rc1
PyScripter 3.6.3
非anaconda環境で作成しております。
pip listの内容
Package Version


absl-py 0.10.0
astunparse 1.6.3
cachetools 4.1.1
certifi 2020.6.20
chardet 3.0.4
cycler 0.10.0
gast 0.3.3
google-auth 1.22.1
google-auth-oauthlib 0.4.1
google-pasta 0.2.0
grpcio 1.32.0
h5py 2.10.0
idna 2.10
Keras 2.4.3
Keras-Preprocessing 1.1.2
kiwisolver 1.2.0
lxml 4.5.2
Markdown 3.3
matplotlib 3.3.2
mplfinance 0.12.7a0
numpy 1.18.5
oauthlib 3.1.0
opt-einsum 3.3.0
pandas 1.1.3
pandas-datareader 0.9.0
Pillow 7.2.0
pip 20.2.1
protobuf 3.13.0
pyasn1 0.4.8
pyasn1-modules 0.2.8
pyparsing 2.4.7
python-dateutil 2.8.1
pytz 2020.1
PyYAML 5.3.1
requests 2.24.0
requests-oauthlib 1.3.0
rsa 4.6
scipy 1.5.2
setuptools 49.2.1
six 1.15.0
tensorboard 2.3.0
tensorboard-plugin-wit 1.7.0
tensorflow 2.3.1
tensorflow-estimator 2.3.0
termcolor 1.1.0
urllib3 1.25.10
Werkzeug 1.0.1
wheel 0.35.1
wrapt 1.12.1

参考サイト https://mycrofton.hatenablog.com/entry/2020/09/26/134147

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

退会済みユーザー

退会済みユーザー

2020/10/07 10:44 編集

pipは 「tensorflow 2.3.1」と言っているのに、 インポートエラーは「Keras requires TensorFlow 2.2 or higher」となるのは不思議ですね。 通常のコマンドプロンプトを介さずに起動している(PyscripterからIDLEのように起動?)、古いTensorflowの残骸が残っている、パスが怪しい、等心当たりはありますか?
bsdfan

2020/10/08 00:06

import tensorflow だけではエラーはでないですか? tensoflow 2では、tensorflowにkerasが統合されているので、別途kerasをインストールせずに、そちらを使うほうがいいです。 from keras import layers → from tensorflow.keras import layers などの置き換えが必要です。
kait0520

2020/10/08 05:50 編集

fourteenlength様 何度かPythonとpipを全部抹消してから再度環境構築といったこともやっているので、 下二つの可能性は低そうです、手順としては Python本体をアンインストール  Localフォルダ内のPythonファイルを削除 Localフォルダ内のpipファイルを削除 Localフォルダ内のTempファイル全削除 といった具合に進めております。 また、コマンドプロンプトからの起動でも Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "c:\Users\UserName\\Desktop\python\stock_ai.py", line 1, in <module> from keras import layers File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\keras\__init__.py", line 5, in <module> raise ImportError( ImportError: Keras requires TensorFlow 2.2 or higher. Install TensorFlow via `pip install tensorflow` このようなエラーが出現します。
kait0520

2020/10/08 05:40 編集

bsdfan様 import tensorflow 単体でもエラーになりました。 Traceback (most recent call last): File "C:\Users\UserName\Desktop\python\stock_ai.py", line 1, in <module> import tensorflow File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\tensorflow\__init__.py", line 41, in <module> from tensorflow.python.tools import module_util as _module_util File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\tensorflow\python\__init__.py", line 40, in <module> from tensorflow.python.eager import context File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\tensorflow\python\eager\context.py", line 35, in <module> from tensorflow.python import pywrap_tfe File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\tensorflow\python\pywrap_tfe.py", line 28, in <module> from tensorflow.python import pywrap_tensorflow File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 83, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "C:\Users\UserName\AppData\Local\Programs\Python\Python38\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 64, in <module> from tensorflow.python._pywrap_tensorflow_internal import * ImportError: DLL load failed while importing _pywrap_tensorflow_internal: ダイナミック リンク ライブラリ (DLL) 初期化ルーチンの実行に失敗しました。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. といった内容です。
kait0520

2020/10/08 08:15

fourteenlength様 別の真っ新なPythonをこれまでに一度もインストールしたことのないPCで実施してみた所、エラーは発生しませんでした。 もしよろしければ、python及びpipの初期化のやり方等ありましたら教えて頂きたいです・・・。
kait0520

2020/10/08 09:11

bsdfan様 ありがとうございます! 試してみましたが、残念ながらうまくは行きませんでした・・・ 2つのPCにてPythonとpipを全部削除し、3.8.6rc1をインストール直後にTensorflowをインストールを行う対照実験を行った所、現在使用しているPCのみ失敗したため、 PCのソフト側の問題ではなく、ハード側の問題なのではないかと思います。 皆様色々なご意見を頂き 本当にありがとうございました!
退会済みユーザー

退会済みユーザー

2020/10/08 13:02

> python及びpipの初期化のやり方等 kaito0520さん: コツとはちょっと違いそうですが、OSにしても、Pythonにしても、Tensorflowにしても、CUDAにしても、cuDNNにしても発行元はしょっちゅうバージョンを上げてきますが、実際に安全に動かせるのは割と枯れたバージョンの事が多いです。公式で新しいバージョンに対応したよ、とあってもあまり当てにしないで私は古いバージョンで対応します。例えばPython3.6.9でCUDA10.1でTF2.2のような感じです。
kait0520

2020/10/09 07:44

fourteenlength様 Pythonのバージョンを3.6.9辺りまで下げる等をして動作を確認してみましたが、同様のエラーが発生し動作が上手くいきませんでした。 現在は動く方のPCにて開発を続行しておりますが、時間があるときにでも元のPCで動かす方法を模索していきます 本当にありがとうございました。
guest

回答1

0

状況から鑑みると
https://teratail.com/questions/280523
こちらに類似しているように見受けられます。ご参考いただければと思います。
もし予め確認済みでしたら申し訳ございません。

投稿2020/10/07 04:39

yasutakatou

総合スコア446

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

kait0520

2020/10/08 09:15

回答ありがとうございます、Anacondaを導入して試してみましたが、上記の理由から上手くいきませんでした・・・
kait0520

2020/10/09 00:38 編集

yasutakatou様 Anacondaにて起動した場合のエラー内容はこちらが全文になります。 C:\ProgramData\Anaconda3\lib\site-packages\numpy\__init__.py:140: UserWarning: mkl-service package failed to import, therefore Intel(R) MKL initialization ensuring its correct out-of-the box operation under condition when Gnu OpenMP had already been loaded by Python process is not assured. Please install mkl-service package, see http://github.com/IntelPython/mkl-service from . import _distributor_init Traceback (most recent call last): File "C:\ProgramData\Anaconda3\lib\site-packages\numpy\core\__init__.py", line 24, in <module> from . import multiarray File "C:\ProgramData\Anaconda3\lib\site-packages\numpy\core\multiarray.py", line 14, in <module> from . import overrides File "C:\ProgramData\Anaconda3\lib\site-packages\numpy\core\overrides.py", line 7, in <module> from numpy.core._multiarray_umath import ( ImportError: DLL load failed while importing _multiarray_umath: 指定されたモジュールが見つかりません。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\ProgramData\Anaconda3\lib\site-packages\keras\__init__.py", line 3, in <module> from tensorflow.keras.layers.experimental.preprocessing import RandomRotation File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 41, in <module> from tensorflow.python.tools import module_util as _module_util File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\__init__.py", line 40, in <module> from tensorflow.python.eager import context File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\eager\context.py", line 29, in <module> import numpy as np File "C:\ProgramData\Anaconda3\lib\site-packages\numpy\__init__.py", line 142, in <module> from . import core File "C:\ProgramData\Anaconda3\lib\site-packages\numpy\core\__init__.py", line 50, in <module> raise ImportError(msg) ImportError: IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the numpy C-extensions failed. This error can happen for many reasons, often due to issues with your setup or how NumPy was installed. We have compiled some common reasons and troubleshooting tips at: https://numpy.org/devdocs/user/troubleshooting-importerror.html Please note and check the following: * The Python version is: Python3.8 from "C:\ProgramData\Anaconda3\python.exe" * The NumPy version is: "1.18.5" and make sure that they are the versions you expect. Please carefully study the documentation linked above for further help. Original error was: DLL load failed while importing _multiarray_umath: 指定されたモジュールが見つかりません。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "c:\Users\UserName\Desktop\python\stock_ai.py", line 1, in <module> from keras import layers File "C:\ProgramData\Anaconda3\lib\site-packages\keras\__init__.py", line 5, in <module> raise ImportError( ImportError: Keras requires TensorFlow 2.2 or higher. Install TensorFlow via `pip install tensorflow` Anacondaが対応してないのか分からないのですが、conda install tensorflow のコマンドではtensorflowのPython3.8対応版をインストールすることが出来ず、 Anacondaにて新しい仮想環境を作成し、Python3.7以前にしようとしても出来ないという状況になっております。 そのため、TensorflowとKeras、mplfinanceをpipにてインストールしてあります。
kait0520

2020/10/09 05:05

yasutukatou様 追加しました。エラーコードがこちらになります。 Traceback (most recent call last): File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 64, in <module> from tensorflow.python._pywrap_tensorflow_internal import * ImportError: DLL load failed while importing _pywrap_tensorflow_internal: ダイナミック リンク ライブラリ (DLL) 初期化ル ーチンの実行に失敗しました。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\ProgramData\Anaconda3\lib\site-packages\keras\__init__.py", line 3, in <module> from tensorflow.keras.layers.experimental.preprocessing import RandomRotation File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 41, in <module> from tensorflow.python.tools import module_util as _module_util File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\__init__.py", line 40, in <module> from tensorflow.python.eager import context File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\eager\context.py", line 35, in <module> from tensorflow.python import pywrap_tfe File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tfe.py", line 28, in <module> from tensorflow.python import pywrap_tensorflow File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 83, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 64, in <module> from tensorflow.python._pywrap_tensorflow_internal import * ImportError: DLL load failed while importing _pywrap_tensorflow_internal: ダイナミック リンク ライブラリ (DLL) 初期化ル ーチンの実行に失敗しました。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "c:\Users\UserName\Desktop\python\stock_ai.py", line 1, in <module> from keras import layers File "C:\ProgramData\Anaconda3\lib\site-packages\keras\__init__.py", line 5, in <module> raise ImportError( ImportError: Keras requires TensorFlow 2.2 or higher. Install TensorFlow via `pip install tensorflow` Anacondaを使用する前はNumpyがちゃんと読み込まれていたので、こちらはAnacondaで生まれたバグだと思われます。 Condaとpipの競合による不具合が怖いため、 Anacondaを一度全部抜いてPython単体のバージョンを落として試してみようと思います、色々解決案をご提示下さったのに申し訳ございません・・・。
yasutakatou

2020/10/09 05:16

いえいえ。問題無いですよ。 現象の解消を優先するのであればエラーを潰すこともよりも環境に手を入れるのが優先です。 こちらこそ解決に至らない回答しか出せなくてすみませんでした。今度はうまくいくと良いですね!
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

まだベストアンサーが選ばれていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.46%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問